import marked from 'marked';
import { Observable } from 'rxjs';
import { Http, Response } from '@angular/http';
export declare class NtMarkdownService {
    private http;
    private _renderer;
    constructor(http: Http);
    getContent(path: string): Observable<any>;
    readonly renderer: marked.Renderer;
    extractData(res: Response): string;
    setMarkedOptions(options: any): void;
    compile(data: string): string;
    private handleError;
    private extendRenderer;
}
